pydo.genai.list_custom_models()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.genai.list_custom_models(
    page=None,
    per_page=None,
    status="STATUS_UNSPECIFIED",
)
Returns JSONRaises HttpResponseError

Description

To list custom models, send a GET request to /v2/gen-ai/custom_models.

Parameters

page integer optional

Page number for pagination.

per_page integer optional

Number of items per page.

status string optional

Filter by model status.

One of: STATUS_UNSPECIFIED, STATUS_IMPORTING, STATUS_READY, STATUS_FAILED, STATUS_DELETED

Default: STATUS_UNSPECIFIED

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page parameter:

from urllib.parse import urlparse, parse_qs

resp = client.genai.list_custom_models()
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.genai.list_custom_models(page=page)
    pages = resp.get("links", {}).get("pages", {})

Response Example

Show Response Example
{
  "links": {
    "pages": {
      "first": "example string",
      "last": "example string",
      "next": "example string",
      "previous": "example string"
    }
  },
  "max_threshold": 123,
  "meta": {
    "page": 123,
    "pages": 123,
    "total": 123
  },
  "models": [
    {
      "active_deployments": [],
      "architecture": "example string",
      "context_length": 123,
      "cost_estimate_per_month": 123,
      "created_at": "2023-01-01T00:00:00Z",
      "description": "example string",
      "error_message": "example string",
      "file_count": 123,
      "input_modalities": [
        "example string"
      ],
      "license": "example string",
      "name": "example name",
      "output_modalities": [
        "example string"
      ],
      "parameters": "12345",
      "source_type": "SOURCE_TYPE_UNSPECIFIED",
      "status": "STATUS_UNSPECIFIED",
      "storage_region": "example string",
      "team_id": "12345",
      "total_size_bytes": "12345",
      "updated_at": "2023-01-01T00:00:00Z",
      "uuid": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}

More Information

See /v2/gen-ai/custom_models in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.